#pragma once
#include "Entity.h"
#include "MenuTextKeyboard.h"
#define MENUTEXTMENU_PLAYER1KEYBOARD_CREATENAME L"menutext_player1keyboard_menu"
class MenuTextMenu_Player1Keyboard :
    public MenuTextKeyboard
{
public:
    InputSetting_Keyboard* GetInputSetting() override;
    SDL_Scancode* GetBind(InputSetting_Keyboard* setting) override;
};

std::shared_ptr<Entity> CreateMenuTextMenu_Player1Keyboard();